Unit IIB8R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, IIS8R_p, IDS8R_p;

procedure IIB8R(var X1A :Array of Real; var X2A :Array of Real;
                var YA :Array of Real; var Y2A :Array of Real;
                M :Integer; N :Integer; X1 :Real;
                X2 :Real; var Y :Real; var YT :Array of Real;
                var Y2T :Array of Real; var YYT :Array of Real;
                var U :Array of Real);

implementation

procedure IIB8R(var X1A :Array of Real; var X2A :Array of Real;
                var YA :Array of Real; var Y2A :Array of Real;
                M :Integer; N :Integer; X1 :Real;
                X2 :Real; var Y :Real; var YT :Array of Real;
                var Y2T :Array of Real; var YYT :Array of Real;
                var U :Array of Real);
var
J,K,IERR :Integer;
R :Real;
const
SYS071 :Real = 1.844674E19;
label
_10,_20,_30;
begin
IERR := 0;
R := 2*SYS071;
for J:=1 to M do
 begin
  for K:=1 to N do
   begin
    YT[K-1] := YA[(J-1)+(K-1)*M];
    Y2T[K-1] := Y2A[(J-1)+(K-1)*M];
_10:
   end;
  IIS8R(X2A,YT,Y2T,N,X2,YYT[J-1],IERR);
  if ( IERR <> 0 ) 
   then goto _30;
_20:
 end;
IDS8R(X1A,YYT,M,R,R,Y2T,U);
IIS8R(X1A,YYT,Y2T,M,X1,Y,IERR);
_30:
end;

end.
